/***
*** 
***/
#ifndef FDSMISCFUNS_H
#define FDSMISCFUNS_H

#include "std.h"

typedef double (*FCN)();

/* FDS/FDSbasstar.c */
void FDSbsPtList V_P_((char *reg_exp, ADDRESS namelist));
LONG FDSbsptinfo V_P_((char *ptname, int *dvtype, int *numelems,
		       int* elemsize, char *bccfmt_strp, LONG fmt_strlen));

/* FDS/FDSbsBrwse.c */

/* fds/FDSbasestar/FDSbsbrowse.c */
void MbsBdspPtList V_P_((ADDRESS vp, ADDRESS vpa));
char *MbsBpick_data V_P_((DV_POINT *PickPt));
char *MbsBgetMatchPat V_P_((void));
void MbsBsetMatchPat V_P_((char *matchpat));
void MbsBgetPtList V_P_((void));
double MbsBdbltofloat V_P_((double *dbl));
void MbsBPargdnum V_P_((LONG arg, double flt));

/* FDS/FDSeval.c */
int FDSevalyylex V_P_((void));
int FDSevalyywrap V_P_((void));
int FDSevalyylook V_P_((void));
int FDSevalyyback V_P_((int *p, int m));
int FDSevalyyinput V_P_((void));
int FDSevalyyoutput V_P_((int c));
int FDSevalyyunput V_P_((int c));
char *GetFcnName V_P_((FCN fcn));
V_FDS_DESC FDSeval V_P_((void));
int FDSevalyyparse V_P_((void));

/* FDS/FDSnamdata.c */
V_FDS_DESC FDSnamedata V_P_((void));

/* FDS/FDSrandom.c */
V_FDS_DESC FDSrandom V_P_((void));

/* FDS/FDSsyBst.c */
V_FDS_DESC FDSsybase V_P_((void));

/* FDS/FDStekBst.c */
ADDRESS sql_query_and_result V_P_((char *sql_cmd,
	 BOOLPARAM in_browser));
void sql_open_db V_P_((char *db_name));
void sql_close_db V_P_((char *db_name));
void sql_construct V_P_((char *sql_cmd,  int dsv_name_flag));
ADDRESS sql_get_db_list V_P_((void));
ADDRESS sql_get_rel_list V_P_((char *sql_database));
ADDRESS sql_get_col_list V_P_((char *sql_relation));
BOOLPARAM sql_valid_check V_P_((char *sql_cmd));
V_FDS_DESC FDStekbase V_P_((void));

#endif /*FDSMISCFUNS_H*/
